table.insert( actions,
{
    id          = "CEREMONIAL_DAGGER",
    name 		= "Ceremonial Dagger",
    description = "Killing an enemy releases homing daggers.",
	sprite 		= "mods/risk_of_items/files/riskofitems/gfx/sprites/items/ceremonial_dagger.png",
    type 		= ACTION_TYPE_MODIFIER,
    spawn_level                       = "0,1,2,3,4,5,6",
    spawn_probability                 = "0,1,1,1,1,1,1",
    price = 250,
    mana = 10,
	action 		= function()
		c.extra_entities = c.extra_entities .. "mods/risk_of_items/files/riskofitems/entities/misc/ceremonial_dagger_hitfx.xml,"
        draw_actions( 1, true );
    end,
});

table.insert( actions,
{
    id          = "UKULELE",
    name 		= "Ukulele",
    description = "...and his music was electric.",
	sprite 		= "mods/risk_of_items/files/riskofitems/gfx/sprites/items/ukulele.png",
    type 		= ACTION_TYPE_MODIFIER,
    spawn_level                       = "0,1,2,3,4,5,6",
    spawn_probability                 = "0,1,1,1,1,1,1",
    price = 250,
    mana = 5,
	action 		= function()
		c.extra_entities = c.extra_entities .. "mods/risk_of_items/files/riskofitems/entities/misc/ukulele_hitfx.xml,"
        draw_actions( 1, true );
    end,
});

table.insert( actions,
{
    id          = "ATG",
    name 		= "AtG Missile Mk. 1",
    description = "Chance to fire a missile.",
	sprite 		= "mods/risk_of_items/files/riskofitems/gfx/sprites/items/atg_missile.png",
    type 		= ACTION_TYPE_MODIFIER,
    spawn_level                       = "0,1,2,3,4,5,6",
    spawn_probability                 = "0,1,1,1,1,1,1",
    price = 250,
    mana = 10,
	action 		= function()
		c.extra_entities = c.extra_entities .. "mods/risk_of_items/files/riskofitems/entities/misc/atg_missile.xml,"
        draw_actions( 1, true );
    end,
});

table.insert( actions,
{
    id          = "LEECHING_SEED",
    name 		= "Leeching Seed",
    description = "Dealing damage heals you.",
	sprite 		= "mods/risk_of_items/files/riskofitems/gfx/sprites/items/leeching_seed.png",
    type 		= ACTION_TYPE_MODIFIER,
    spawn_level                       = "0,1,2,3,4,5,6",
    spawn_probability                 = "0,1,1,1,1,1,1",
    price = 250,
    mana = 10,
	action 		= function()
		c.extra_entities = c.extra_entities .. "mods/risk_of_items/files/riskofitems/entities/misc/leeching_seed_hitfx.xml,"
        draw_actions( 1, true );
    end,
});

table.insert( actions,
{
    id          = "SOLDIERS_SYRINGE",
    name 		= "Soldier's Syringe",
    description = "Increases attack speed",
	sprite 		= "mods/risk_of_items/files/riskofitems/gfx/sprites/items/soldiers_syringe.png",
    type 		= ACTION_TYPE_MODIFIER,
    spawn_level                       = "0,1,2,3,4,5,6",
    spawn_probability                 = "0,1,1,1,1,1,1",
    price = 250,
    mana = 10,
	action 		= function()
        c.fire_rate_wait = (c.fire_rate_wait / 100) * 25
        current_reload_time = (current_reload_time / 100) * 25
        draw_actions( 1, true );
    end,
});

table.insert( actions,
{
    id          = "TRITIP_DAGGER",
    name 		= "Tri-Tip Dagger",
    description = "Chance to bleed enemies on hit.",
	sprite 		= "mods/risk_of_items/files/riskofitems/gfx/sprites/items/tritip_dagger.png",
    type 		= ACTION_TYPE_MODIFIER,
    spawn_level                       = "0,1,2,3,4,5,6",
    spawn_probability                 = "0,1,1,1,1,1,1",
    price = 250,
    mana = 10,
	action 		= function()
		c.extra_entities = c.extra_entities .. "mods/risk_of_items/files/riskofitems/entities/misc/tritip_dagger_hitfx.xml,"
        draw_actions( 1, true );
    end,
});

table.insert( actions,
{
    id          = "STICKY_BOMB_ROR",
    name 		= "Sticky Bomb",
    description = "Chance on hit to attach a bomb to enemies.",
	sprite 		= "mods/risk_of_items/files/riskofitems/gfx/sprites/items/sticky_bomb.png",
    type 		= ACTION_TYPE_MODIFIER,
    spawn_level                       = "0,1,2,3,4,5,6",
    spawn_probability                 = "0,1,1,1,1,1,1",
    price = 250,
    mana = 10,
	action 		= function()
		c.extra_entities = c.extra_entities .. "mods/risk_of_items/files/riskofitems/entities/misc/sticky_bomb_hitfx.xml,"
        draw_actions( 1, true );
    end,
});

table.insert( actions,
{
    id          = "BEHEMOTH",
    name 		= "Brilliant Behemoth",
    description = "Your attacks explode!",
	sprite 		= "mods/risk_of_items/files/riskofitems/gfx/sprites/items/behemoth.png",
    type 		= ACTION_TYPE_MODIFIER,
    spawn_level                       = "0,1,2,3,4,5,6",
    spawn_probability                 = "0,1,1,1,1,1,1",
    price = 250,
    mana = 10,
	action 		= function()
		c.extra_entities = c.extra_entities .. "mods/risk_of_items/files/riskofitems/entities/misc/behemoth_explosion.xml,"
        draw_actions( 1, true );
    end,
});

table.insert( actions,
{
    id          = "CROWBAR",
    name 		= "Crowbar",
    description = "Deal more damage to healthy enemies.",
	sprite 		= "mods/risk_of_items/files/riskofitems/gfx/sprites/items/crowbar.png",
    type 		= ACTION_TYPE_MODIFIER,
    spawn_level                       = "0,1,2,3,4,5,6",
    spawn_probability                 = "0,1,1,1,1,1,1",
    price = 250,
    mana = 10,
	action 		= function()
		c.extra_entities = c.extra_entities .. "mods/risk_of_items/files/riskofitems/entities/misc/crowbar_hitfx.xml,"
        draw_actions( 1, true );
    end,
});

table.insert( actions,
{
    id          = "LENS_GLASSES",
    name 		= "Lens-Maker's Glasses",
    description = "Increased Chance to 'Critically Strike'",
	sprite 		= "mods/risk_of_items/files/riskofitems/gfx/sprites/items/lens_makers_glasses.png",
    type 		= ACTION_TYPE_MODIFIER,
    spawn_level                       = "0,1,2,3,4,5,6",
    spawn_probability                 = "0,1,1,1,1,1,1",
    price = 250,
    mana = 5,
	action 		= function()
        if(c.damage_critical_chance < 15)then
            c.damage_critical_chance = c.damage_critical_chance + 20
        else
            c.damage_critical_chance = (c.damage_critical_chance / 100) * 120
        end
        
        draw_actions( 1, true );
    end,
});

table.insert( actions,
{
    id          = "BROOCH",
    name 		= "Topaz Brooch",
    description = "Gain a temporary barrier on kill.",
	sprite 		= "mods/risk_of_items/files/riskofitems/gfx/sprites/items/brooch.png",
    type 		= ACTION_TYPE_MODIFIER,
    spawn_level                       = "0,1,2,3,4,5,6",
    spawn_probability                 = "0,1,1,1,1,1,1",
    price = 250,
    mana = 10,
	action 		= function()
		c.extra_entities = c.extra_entities .. "mods/risk_of_items/files/riskofitems/entities/misc/brooch_hitfx.xml,"
        draw_actions( 1, true );
    end,
});

table.insert( actions,
{
    id          = "ARMOR_PIERCING",
    name 		= "Armor-Piercing Rounds",
    description = "Deal extra damage to bosses.",
	sprite 		= "mods/risk_of_items/files/riskofitems/gfx/sprites/items/armor_piercing.png",
    type 		= ACTION_TYPE_MODIFIER,
    spawn_level                       = "0,1,2,3,4,5,6",
    spawn_probability                 = "0,1,1,1,1,1,1",
    price = 250,
    mana = 10,
	action 		= function()
		c.extra_entities = c.extra_entities .. "mods/risk_of_items/files/riskofitems/entities/misc/armor_piercing_hitfx.xml,"
        draw_actions( 1, true );
    end,
});

table.insert( actions,
{
    id          = "BACKUP_MAGAZINE",
    name 		= "Backup Magazine",
    description = "Add a extra charge of your projectile.",
	sprite 		= "mods/risk_of_items/files/riskofitems/gfx/sprites/items/backup_magazine.png",
    type 		= ACTION_TYPE_MODIFIER,
    spawn_level                       = "0,1,2,3,4,5,6",
    spawn_probability                 = "0,1,1,1,1,1,1",
    price = 250,
    mana = 10,
	action 		= function()
        add_extra_bullet( 1 )
        c.spread_degrees = c.spread_degrees + 1.0
        draw_actions( 1, true );
    end,
});

table.insert( actions,
{
    id          = "FOCUS_CRYSTAL",
    name 		= "Focus Crystal",
    description = "Deal bonus damage to nearby enemies.",
	sprite 		= "mods/risk_of_items/files/riskofitems/gfx/sprites/items/focus_crystal.png",
    type 		= ACTION_TYPE_MODIFIER,
    spawn_level                       = "0,1,2,3,4,5,6",
    spawn_probability                 = "0,1,1,1,1,1,1",
    price = 250,
    mana = 10,
	action 		= function()
		c.extra_entities = c.extra_entities .. "mods/risk_of_items/files/riskofitems/entities/misc/focus_crystal_hitfx.xml,"
        draw_actions( 1, true );
    end,
});

table.insert( actions,
{
    id          = "GASOLINE",
    name 		= "Gasoline",
    description = "Killing enemies sets nearby enemies on fire.",
	sprite 		= "mods/risk_of_items/files/riskofitems/gfx/sprites/items/gasoline.png",
    type 		= ACTION_TYPE_MODIFIER,
    spawn_level                       = "0,1,2,3,4,5,6",
    spawn_probability                 = "0,1,1,1,1,1,1",
    price = 250,
    mana = 10,
	action 		= function()
		c.extra_entities = c.extra_entities .. "mods/risk_of_items/files/riskofitems/entities/misc/gasoline_hitfx.xml,"
        draw_actions( 1, true );
    end,
});


table.insert( actions,
{
    id          = "MONSTER_TOOTH",
    name 		= "Monster Tooth",
    description = "Drop a healing orb on kill.",
	sprite 		= "mods/risk_of_items/files/riskofitems/gfx/sprites/items/monster_tooth.png",
    type 		= ACTION_TYPE_MODIFIER,
    spawn_level                       = "0,1,2,3,4,5,6",
    spawn_probability                 = "0,1,1,1,1,1,1",
    price = 250,
    mana = 10,
	action 		= function()
		c.extra_entities = c.extra_entities .. "mods/risk_of_items/files/riskofitems/entities/misc/monster_tooth_hitfx.xml,"
        draw_actions( 1, true );
    end,
});

table.insert( actions,
{
	id          = "PREON_ACCUMULATOR",
	name 		= "Preon Accumulator",
	description = "Fire a ball of energy that electrocutes nearby enemies before detonating.",
	sprite 		= "mods/risk_of_items/files/riskofitems/gfx/sprites/items/preon_accumulator.png",
	type 		= ACTION_TYPE_PROJECTILE,
	spawn_level                       = "1,2,3,4,5,6", 
	spawn_probability                 = "1,1,1,1,1,1",
	price = 150,
	mana = 200,
	max_uses = 5,
	action 		= function()
		add_projectile("mods/risk_of_items/files/riskofitems/entities/projectiles/preon_accumulator.xml")
		c.fire_rate_wait = c.fire_rate_wait + 100.0
		c.screenshake = c.screenshake + 50.0
		c.damage_critical_chance = c.damage_critical_chance + 0.0
		c.damage_critical_multiplier = c.damage_critical_multiplier + 0.1
		shot_effects.recoil_knockback = shot_effects.recoil_knockback + 50
	end,
});