dofile( "data/scripts/lib/utilities.lua" )
function damage_received( damage, message, entity_thats_responsible, is_fatal  )

    if(is_fatal ~= true)then

        local extra_damage = (damage / 100) * 50

        local theEntity = GetUpdatedEntityID()
        local x, y, r = EntityGetTransform(theEntity)

        local player = get_players()[1]



        local filename = "mods/risk_of_items/files/riskofitems/entities/projectiles/extra_damage.xml"
        
        if(filename ~= "")then

            local damageComponent = EntityGetFirstComponent(theEntity, "DamageModelComponent")

            if(damageComponent ~= nil)then

                entityMaxHP = ComponentGetValue(damageComponent, "max_hp")
                oldEntityHP = ComponentGetValue(damageComponent, "hp") + damage

                if(oldEntityHP > (entityMaxHP / 100) * 89)then

                    local ourProjectile = EntityLoad(filename, x, y - 5)

                    GameShootProjectile( player, x, y - 5, 0, 0, ourProjectile )

                    local projectileComp = EntityGetFirstComponent(ourProjectile, "ProjectileComponent")

                    edit_component( ourProjectile, "ProjectileComponent", function(comp,vars)
                        vars.mWhoShot       = entity_thats_responsible
                        vars.mShooterHerdId = 0
                        vars.damage = extra_damage
                    end)                                
                    
                    edit_component( ourProjectile, "VelocityComponent", function(comp,vars)
                        ComponentSetValueVector2( comp, "mVelocity", 0, 0)
                    end)

                end
            end
        end
    end

end
