dofile( "data/scripts/lib/utilities.lua" )
dofile( "mods/risk_of_items/files/riskofitems/scripts/utilities.lua" )
function damage_received( damage, message, entity_thats_responsible, is_fatal  )
   -- SetRandomSeed( GameGetRealWorldTimeSinceStarted(), GameGetRealWorldTimeSinceStarted() )
    local chance = Random(1,100)
    if(chance < 26)then
        local theEntity = GetUpdatedEntityID()
        local x, y, r = EntityGetTransform(theEntity)

        local lua_components = EntityGetComponent(theEntity, "LuaComponent")

        if(EntityHasTag( theEntity, "homing_target" ))then

            local closest_enemy = get_closest_enemy_in_range(theEntity, x, y, 100)
            if(closest_enemy ~= nil)then

                local angle_inc = 0
                local angle_inc_set = false
                
                local length = 400
                
                local ex, ey = EntityGetTransform( closest_enemy )
                
                if ( ex ~= nil ) and ( ey ~= nil ) then
                    angle_inc = 0 - math.atan2( ( ey - y ), ( ex - x ) )
                    angle_inc_set = true
                end


                local angle = 0
                if angle_inc_set then
                    angle = angle_inc + Random( -5, 5 ) * 0.01
                else
                    angle = math.rad( Random( 1, 360 ) )
                end
                
                local vel_x = math.cos( angle ) * length
                local vel_y = 0- math.sin( angle ) * length

                local ukulele_damage = (damage / 100) * 80
        
                ourProjectile = shoot_projectile( entity_id, "mods/risk_of_items/files/riskofitems/entities/projectiles/ukulele_beam.xml", x, y, vel_x, vel_y )

                edit_component( ourProjectile, "ProjectileComponent", function(comp,vars)
                    vars.damage = ukulele_damage
                    vars.mWhoShot = entity_thats_responsible
                    vars.mShooterHerdId = 0
                end)      

            end
        end
    end
end
