table.insert( perk_list, {
	id = "ROI_CEREMONIAL_DAGGER",
	ui_name = "Ceremonial Dagger",
	ui_description = "Killing an enemy releases homing daggers.",
	ui_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/ceremonial_dagger_ui.png",
    perk_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/ceremonial_dagger_icon.png",
    func = function( entity_perk_item, entity_who_picked, item_name )
        EntityAddComponent( entity_who_picked, "ShotEffectComponent", { extra_modifier = "roi_ceremonial_dagger", } );
	end,
});

table.insert( perk_list, {
	id = "ROI_UKULELE",
	ui_name = "Ukulele",
	ui_description = "...and his music was electric.",
	ui_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/ukulele_ui.png",
    perk_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/ukulele_icon.png",
    func = function( entity_perk_item, entity_who_picked, item_name )
        EntityAddComponent( entity_who_picked, "ShotEffectComponent", { extra_modifier = "roi_ukulele", } );
	end,
});

table.insert( perk_list, {
	id = "ROI_ATG",
	ui_name = "AtG Missile Mk. 1",
	ui_description = "Chance to fire a missile.",
	ui_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/atg_missile_ui.png",
    perk_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/atg_missile_icon.png",
    func = function( entity_perk_item, entity_who_picked, item_name )
        EntityAddComponent( entity_who_picked, "ShotEffectComponent", { extra_modifier = "roi_atg_missile", } );
	end,
});
--[[
table.insert( perk_list, {
	id = "ROI_LEECHING_SEED",
	ui_name = "Leeching Seed",
	ui_description = "Dealing damage heals you.",
	ui_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/leeching_seed_ui.png",
    perk_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/leeching_seed_icon.png",
    func = function( entity_perk_item, entity_who_picked, item_name )
        EntityAddComponent( entity_who_picked, "ShotEffectComponent", { extra_modifier = "roi_leeching_seed", } );
	end,
});
]]
table.insert( perk_list, {
	id = "ROI_SOLDIERS_SYRINGE",
	ui_name = "Soldier's Syringe",
	ui_description = "Increases attack speed.",
	ui_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/soldiers_syringe_ui.png",
    perk_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/soldiers_syringe_icon.png",
    func = function( entity_perk_item, entity_who_picked, item_name )
        EntityAddComponent( entity_who_picked, "ShotEffectComponent", { extra_modifier = "roi_soldiers_syringe", } );
	end,
});

table.insert( perk_list, {
	id = "ROI_TRITIP_DAGGER",
	ui_name = "Tri-Tip Dagger",
	ui_description = "Chance to bleed enemies on hit.",
	ui_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/tritip_dagger_ui.png",
    perk_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/tritip_dagger_icon.png",
    func = function( entity_perk_item, entity_who_picked, item_name )
        EntityAddComponent( entity_who_picked, "ShotEffectComponent", { extra_modifier = "roi_tritip_dagger", } );
	end,
});

table.insert( perk_list, {
	id = "ROI_STICKY_BOMB",
	ui_name = "Sticky Bomb",
	ui_description = "Chance on hit to attach a bomb to enemies.",
	ui_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/sticky_bomb_ui.png",
    perk_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/sticky_bomb_icon.png",
    func = function( entity_perk_item, entity_who_picked, item_name )
        EntityAddComponent( entity_who_picked, "ShotEffectComponent", { extra_modifier = "roi_sticky_bomb", } );
	end,
});

table.insert( perk_list, {
	id = "ROI_BEHEMOTH",
	ui_name = "Brilliant Behemoth",
	ui_description = "Your attacks explode!",
	ui_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/behemoth_ui.png",
    perk_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/behemoth_icon.png",
    func = function( entity_perk_item, entity_who_picked, item_name )
        EntityAddComponent( entity_who_picked, "ShotEffectComponent", { extra_modifier = "roi_behemoth", } );
	end,
});

table.insert( perk_list, {
	id = "ROI_CROWBAR",
	ui_name = "Crowbar",
	ui_description = "Deal more damage to healthy enemies.",
	ui_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/crowbar_ui.png",
    perk_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/crowbar_icon.png",
    func = function( entity_perk_item, entity_who_picked, item_name )
        EntityAddComponent( entity_who_picked, "ShotEffectComponent", { extra_modifier = "roi_crowbar", } );
	end,
});

table.insert( perk_list, {
	id = "ROI_LENS_GLASSES",
	ui_name = "Lens-Maker's Glasses",
	ui_description = "Increased Chance to 'Critically Strike'",
	ui_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/lens_makers_glasses_ui.png",
    perk_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/lens_makers_glasses_icon.png",
    func = function( entity_perk_item, entity_who_picked, item_name )
        EntityAddComponent( entity_who_picked, "ShotEffectComponent", { extra_modifier = "roi_lens_makers_glasses", } );
	end,
});

table.insert( perk_list, {
	id = "ROI_BROOCH",
	ui_name = "Topaz Brooch",
	ui_description = "Gain a temporary barrier on kill.",
	ui_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/brooch_ui.png",
    perk_icon = "mods/risk_of_items/files/riskofitems/gfx/sprites/perks/brooch_icon.png",
    func = function( entity_perk_item, entity_who_picked, item_name )
        EntityAddComponent( entity_who_picked, "ShotEffectComponent", { extra_modifier = "roi_brooch", } );
	end,
});

