dofile( "data/scripts/lib/utilities.lua" )

local theEntity = GetUpdatedEntityID()
local x, y, r = EntityGetTransform(theEntity)
local player = get_players()[1]


local projectileComp = EntityGetFirstComponent(theEntity, "ProjectileComponent")

if(projectileComp ~= nil)then
    local is_explosive = false
    local explosion_radius = tonumber(ComponentObjectGetValue(projectileComp, "config_explosion", "explosion_radius"))
    local explosion_damage = ComponentObjectGetValue(projectileComp, "config_explosion", "damage")

    local explosion1 = ComponentGetValue(projectileComp, "on_lifetime_out_explode")
    local explosion2 = ComponentGetValue(projectileComp, "on_death_explode")


    if(explosion_radius < 10)then
        explosion_radius = 10
    end
    if( tonumber(explosion1) == 1 or tonumber(explosion2) == 1) then
        ComponentObjectSetValue(projectileComp, "config_explosion", "explosion_radius", explosion_radius)
    else
        ComponentObjectSetValue(projectileComp, "config_explosion", "explosion_radius", 3)
    end


    local baseDamage = ComponentGetValue(projectileComp, "damage")
    local baseDamage = baseDamage + ComponentObjectGetValue(projectileComp, "config_explosion", "damage")
    local baseDamage = (baseDamage / 100) * 60
    local baseDamage = baseDamage + ComponentObjectGetValue(projectileComp, "config_explosion", "damage")

    local baseRadius = ComponentObjectGetValue(projectileComp, "config_explosion", "explosion_radius")

    local baseRadius = baseRadius + ((baseRadius / 100) * 25)
--[[
    GamePrint("Initial Radius: "..explosion_radius)
    GamePrint("Initial Damage: "..explosion_damage)

    GamePrint("Final Radius: "..baseRadius)
    GamePrint("Final Damage: "..baseDamage)
]]
    ComponentSetValue(projectileComp, "on_death_explode", 1)
    
    ComponentObjectSetValue(projectileComp, "config_explosion", "damage", baseDamage)
    ComponentObjectSetValue(projectileComp, "config_explosion", "explosion_radius", baseRadius)
    ComponentObjectSetValue(projectileComp, "config_explosion", "explosion_sprite", "data/particles/explosion_016.xml")
    ComponentObjectSetValue(projectileComp, "config_explosion", "create_cell_probability", 2)
    ComponentObjectSetValue(projectileComp, "config_explosion", "create_cell_material", "boom_gas")
    ComponentObjectSetValue(projectileComp, "config_explosion", "particle_effect", 1)
    ComponentObjectSetValue(projectileComp, "config_explosion", "sparks_enabled", 1)
    ComponentObjectSetValue(projectileComp, "config_explosion", "sparks_count_max", 100)
    ComponentObjectSetValue(projectileComp, "config_explosion", "sparks_count_min", 10)
end