dofile( "data/scripts/lib/utilities.lua" )
function damage_received( damage, message, entity_thats_responsible, is_fatal  )
    if(is_fatal)then
        local theEntity = GetUpdatedEntityID()
        local x, y, r = EntityGetTransform(theEntity)

        if(EntityHasTag( theEntity, "homing_target" ))then


            local player = get_players()[1]

            local filename = "mods/risk_of_items/files/riskofitems/entities/projectiles/catch_fire.xml"
        
            local nearby_entities = EntityGetInRadiusWithTag( x, y, 100, "homing_target" )

            if(nearby_entities[1] ~= nil)then
                for i=1, #nearby_entities do
                    local current_entity = nearby_entities[i]

                    local enemyX, enemyY = EntityGetTransform(current_entity)

                    local ourProjectile = EntityLoad(filename, enemyX, enemyY - 5)

                    GameShootProjectile( player, enemyX, enemyY - 5, 0, 0, ourProjectile )

                    local projectileComp = EntityGetFirstComponent(ourProjectile, "ProjectileComponent")

                    edit_component( ourProjectile, "ProjectileComponent", function(comp,vars)
                        vars.mWhoShot       = entity_thats_responsible
                        vars.mShooterHerdId = 0
                    end)                                
                    
                    edit_component( ourProjectile, "VelocityComponent", function(comp,vars)
                        ComponentSetValueVector2( comp, "mVelocity", 0, 0)
                    end)

                end
            end
        end
    end
end
